clc
clear all
close all
 
modality=1;

if modality ==1,

meansp=63.625;
devstdsp=2.595;
Popolation=1000;

R = lognrnd(log(meansp),log(devstdsp),Popolation,1);

%classi=1+3.3*log10(len);
classi=100;

Rmin=min(R);
Rmax=max(R);
Rmin=55.5;
Rmax=72.5;

%x=[Rmin:(Rmax-Rmin)/(classi-1):Rmax];
%x=[Rmin:1:Rmax];

%[Occurrences,Xvalues]=hist(R,x);
[Occurrences,Xvalues]=hist(R,classi);

else
    
Xvalues=[56.5 57.5 58.5 59.5 60.5 61.5 62.5 63.5 64.5 65.5 66.5 67.5 68.5 69.5 70.5 71.5]';
Occurrences=[ 2 18 23 31 83 109 138 151 139 130 82 49 28 11 4 2]';
classi=length(Occurrences);

lun=0;
Popolation=sum(Occurrences);
for i=1:length(Xvalues),
    R(lun+1:lun+Occurrences(i))=Xvalues(i)*ones(1,Occurrences(i));
    lun=length(R);
end

end

mu=mean(R);
dev=std(R);
Cov=dev/mu;

%__________________________________________________

%pdf sperimentale
sper_pdf=Occurrences./Popolation./mean(diff(Xvalues));
%__________________________________________________

%__________________________________________________

%cumulativa sperimantale
for i=1:length(sper_pdf)
    sper_cdf(i)=sum(sper_pdf(1:i))*mean(diff(Xvalues));
end
%__________________________________________________


muhat=log(mu)-1/2*log(1+Cov^2);
stdhat=sqrt(log(1+Cov^2));
npdf=lognpdf(Xvalues,muhat,stdhat);
ncdf=logncdf(Xvalues,muhat,stdhat);

NXvalues=[min(Xvalues):(max(Xvalues)-min(Xvalues))/(classi*10-1):max(Xvalues)]';
Npdf=lognpdf(NXvalues,muhat,stdhat);
Ncdf=logncdf(NXvalues,muhat,stdhat);

figure(1)
normplot(log(R))
grid on
title('LogNormal Probability Plot')

figure(2)
hold on
hist(R,Xvalues)
histfit(R,classi)
plot(Xvalues,sper_pdf*Popolation*mean(diff(Xvalues)),'g','linewidth',2)
grid on
xlabel('x Data')
ylabel('Data Histogram')
title('Histogram')

figure(3)
hold on
plot(Xvalues,sper_pdf,'g','linewidth',1)
plot(NXvalues,Npdf,'r','linewidth',2)
grid on
xlabel('x Data')
ylabel('f(x) Probability density')
title('PDF and LogNormal Distribution')

figure(4)
plot(Xvalues,sper_cdf,'g','linewidth',1)
hold on
cdfplot(R)
plot(NXvalues,Ncdf,'r','linewidth',2)
grid on
xlabel('x Data')
ylabel('F(x) Cumulative distribution function')
title('CDF and LogNormal Cumulative')

linf=60;
lsup=65;
SPEC=[linf lsup];
pdf_inf=lognpdf(linf,muhat,stdhat)
pdf_sup=lognpdf(lsup,muhat,stdhat)
probability_inf=logncdf(linf,muhat,stdhat)
probability_sup=logncdf(lsup,muhat,stdhat)
probability=logncdf(lsup,muhat,stdhat)-logncdf(linf,muhat,stdhat)

