clear all
close all

%sig=[5033 10068 15104 20143 35267]';
sig=6.89e3*[5033 10068 15104 20143 35267]';
epsilon=[0.00020 0.00030 0.00050 0.00065 0.00115]';

mu_sigma=mean(sig);
mu_epsilon=mean(epsilon);
std_sigma=std(sig);
std_epsilon=std(epsilon);

p=polyfit(epsilon,sig,1);
r=std_epsilon/std_sigma*p(1)

Epsilon=[min(epsilon):(max(epsilon)-min(epsilon))/(length(epsilon)*100):max(epsilon)]';
Sig=polyval(p,Epsilon);

figure
plot(epsilon,sig,'o')
hold on
plot(Epsilon,Sig,'r-')
grid on
xlabel('Epsilon')
ylabel('Sigma')

