function [cumulative] = cumula(speceqv,color,norm,FIGid)

[speceqv_ordinato,speceqv_I]=sort(speceqv(:,2));

istogramma=[speceqv(speceqv_I,:)];

[nr,nc]=size(speceqv);

for i=1:nr, 
    istogramma_ord(i,1)=istogramma((end+1)-i,1);
    istogramma_ord(i,2)=istogramma((end+1)-i,2);
end

for i=2:nr, 
    istogramma_ord(i,1)=istogramma_ord(i-1,1)+istogramma_ord(i,1);
end

cumulative = istogramma_ord;

figure(FIGid)
semilogx(istogramma_ord(:,1),istogramma_ord(:,2),color,'linewidth',2)
title('Cumulativa di Carico')
xlabel('Cicli')
ylabel('Tensioni alterne')
grid on
hold on

if norm == 1
    istogramma_ord(:,1)=istogramma_ord(:,1)/istogramma_ord(end,1);
    istogramma_ord(:,2)=istogramma_ord(:,2)/istogramma_ord(1,2);
    
    figure(FIGid+1)
    semilogx(istogramma_ord(:,1),istogramma_ord(:,2),color,'linewidth',2)
    title('Cumulativa di Carico normalizzata')
    xlabel('Cicli normalizzati')
    ylabel('Tensioni alterne normalizzate')
    grid on
    hold on

else
end

