function [z,R]=eqacc_norm(muS,stdS,mus,stds)
% Equazione di accoppiamento (ipotesi di distribuzioni normali)
% es. [zn,R]=eqacc_norm(1200,100,700,200)

z=-(muS-mus)/(sqrt(stdS^2+stds^2));

P=normcdf(z,0,1);

R=1-P;