close all
clear all
clc

%Prova Flessionale
d=20; %(mm)
t=70; %F
r=2; %(mm) 

HB=630;
Sut=1000;
Csut=0.044;
Kso=0.9;
Nse=1e6;
if Sut > 1460
    Kse=700/Sut;
else
    Kse=0.504;
end
Kset=Kse;
Cse=0.146;
Rel=95;
Kb=1/3;

ka=4.51*Sut^-0.265;
Cka=0.11;
kb=(d/7.63)^-0.1133;
Ckb=0;
% kc=1;
% Ckc=0;
kd=(0.975+0.432e-3*t-0.115e-5*t^2+0.104e-8*t^3-0.595e-12*t^4);
Ckd=0.11;
% a=0.025*(2070/Sut)^1.8;
% q=1/(1+a/r);
% Kt=2.2;
% Kf=1+q*(Kt-1);
% ke=1/Kf;
% Cke=0.11;

K=ka*kb*kd;
Ck=sqrt(Cka^2+Ckb^2+Ckd^2);

Plots=1;

[Wb, N, S] = material(Sut, Csut, Nse, Kse, Kso, K, Kb, Rel, Cse, Ck, Plots);

[Wb(2) 1/Wb(2)]

%Questa  la curca di resistenza del componente non intagliato



ka=1.58*Sut^-0.085;
Cka=0.13;
kb=(d/7.63)^-0.1133;
Ckb=0;
kc=1;
Ckc=0;
kd=(0.975+0.432e-3*t-0.115e-5*t^2+0.104e-8*t^3-0.595e-12*t^4);
Ckd=0.11;
a=0.025*(2070/Sut)^1.8;
ke=1;
Cke=0;

K=ka*kb*kc*kd*ke;;
Ck=sqrt(Cka^2+Ckb^2+Ckc^2+Ckd^2+Cke^2);

[Wb, N, S] = material(Sut, Csut, Nse, Kse, Kso, K, Kb, Rel, Cse, Ck, Plots);

[Wb(2) 1/Wb(2)]

Cse=0.0;

[Wb, N, S] = material(Sut, Csut, Nse, Kse, Kso, K, Kb, Rel, Cse, Ck, Plots);



%Prova Flessionale
d=20; %(mm)
t=70; %F
r=2; %(mm) 

Sut=600;
Csut=0.044;
Kso=0.7;
Nse=5e8;
Kse=0.3;
Kset=Kse;
Cse=0.146;
Rel=95;
Kb=1;

ka=4.51*Sut^-0.265;
ka=1;
Cka=0.11;
Cka=0
kb=(d/7.63)^-0.1133;
kb=1
Ckb=0;
kc=1;
Ckc=0;
kd=(0.975+0.432e-3*t-0.115e-5*t^2+0.104e-8*t^3-0.595e-12*t^4);
kd=1
Ckd=0.11;
Ckd=0
a=0.025*(2070/Sut)^1.8;
q=1/(1+a/r);
Kt=2.2;
Kf=1+q*(Kt-1);
Kf=1
ke=1/Kf;
Cke=0.11;
Cke=0

K=ka*kb*kc*kd*ke;
Ck=sqrt(Cka^2+Ckb^2+Ckc^2+Ckd^2+Cke^2);

[Wb, N, S] = material(Sut, Csut, Nse, Kse, Kso, K, Kb, Rel, Cse, Ck, Plots);


%Prova Flessionale
d=20; %(mm)
t=70; %F
r=2; %(mm) 

Sut=600;
Csut=0.044;
Kso=0.9;
Nse=1e6;
Kse=0.3;
Kset=Kse;
Cse=0.146;
Rel=95;
Kb=0;

ka=4.51*Sut^-0.265;
ka=1;
Cka=0.11;
Cka=0
kb=(d/7.63)^-0.1133;
kb=1
Ckb=0;
kc=1;
Ckc=0;
kd=(0.975+0.432e-3*t-0.115e-5*t^2+0.104e-8*t^3-0.595e-12*t^4);
kd=1
Ckd=0.11;
Ckd=0
a=0.025*(2070/Sut)^1.8;
q=1/(1+a/r);
Kt=2.2;
Kf=1+q*(Kt-1);
Kf=1
ke=1/Kf;
Cke=0.11;
Cke=0

K=ka*kb*kc*kd*ke;
Ck=sqrt(Cka^2+Ckb^2+Ckc^2+Ckd^2+Cke^2);

[Wb, N, S] = material(Sut, Csut, Nse, Kse, Kso, K, Kb, Rel, Cse, Ck, Plots);


%Esempio di ottenimento della distribuzione della resistenza per un assegnato numero di Cicli
N=10^4;

%Valore Medio
Sf=Wb(1)*N^Wb(2)

%Coefficiente di variazione
Cf=2*Csut-Cse+1/3*(Cse-Csut)*log10(N)

%Deviazione standard
sSf=Sf*Cf
