% determinazione del valore della tensione a vita indefinita relativa al
% provino liscio. Tramite una serie di dati random che simulano il reale 
%comportamento del materiale tramite il conteggio dei RO e dei F. 

d=10;
quanti=input('quante misurazioni si devono fare ?');
u=0;
Sut=input('immettere la resistenza media a rottura: ');


Csut=0.044;
devSut=Sut*Csut;
Sf_3=0.9*Sut;
devSf_3=devSut*0.9;
Sy =0.8*Sut-140;
devSy =0.8*devSut; 
CSy =devSy/Sy;

S(1:quanti)=0;
Seref=0.504*Sut;
S(1)=Seref;
tab(1:i,1)=0;
tabc(1:i,1:5)=0;
ro=0;
f=0;
figure;
hold on;
grid on;
for i=1:quanti,
   rn = 55*rand(1);
   Sref= Seref+rn;
   if S(i)<=Sref,
       plot(i,S(i),'go');
       S(i+1)=S(i)+d;
   else
       plot(i,S(i),'rx');
       S(i+1)=S(i)-d;
   end
   %plot(i,Sref,'kx');
end
tabRO([1:quanti],1)=0;
tabF([1:quanti],1)=0;
count(1:quanti)=100;

%vado a studiare quando inizia la prima variazione RO F o F RO

for start=3:quanti,
    if count(start)==100;
        if S(start-2) == S(start),
          count(start)=start-2;
      end
    end
end
start=min(count(3:quanti));

%conto i ro e i f
for i=1:quanti-start+1,
    if S(start+i-1) < S(start+i),
        ro=ro+1;
        tabRO(ro,1)=S(start+i-1);
    elseif S(start+i-1) > S(start+i),
        f=f+1;
        tabF(f,1)=S(start+i-1);
    end
end

%a seconda dell'evento minore scrivo la tabella
if ro < f,
    for u=1:ro,
        tabc(u,1)=tabRO(u); 
    end
    add=+0.5;
else
    for u=1:f,
        tabc(u,1)=tabF(u); 
    end
    add=-0.5;
end

%riordino la tabella contando la molteplici delle sigma
tabc(:,1)=sort(tabc(:,1));
rep=1;
val=0;
tabc(1,3)=1;
for t=2:u,
    if tabc(t-rep,1) == tabc(t-rep+1,1),
       val = val+1;
       tabc = tabc([1:t-rep,t-rep+2:u-rep+1],:);
       tabc(t-rep,3)= val+1;
       rep = rep+1;
    else 
       tabc(t-rep+1,3)= 1;
       val=0;
    end
end

%calcolo i valori delle altre colonne 
for i=1:max(size(tabc(:,1)));
    tabc(i,2)=i-1;
    tabc(i,4)=tabc(i,2).*tabc(i,3);
    tabc(i,5)=tabc(i,3).*tabc(i,4);
end
N=sum(tabc(:,3));
A=sum(tabc(:,4));
B=sum(tabc(:,5));
Se=tabc(1,1)+d*(A/N+add);
if (N*B-A^2)/(N^2) >= 0.3,
    devSe=1.62*d*((N*B-A^2)/(N^2)+0.029);
else
    devSe=0.53*d;
end  
devSe
CSe=devSe/Se
Se