function [speceqv] = eqvspec(spec, Sut, ES)

%ES=0; %Goodman (Sa / Se + Sm / Sut = 1) 
%ES=1; %Gerber (Sa / Se + (Sm / Sut)^2 = 1) 
%ES=2; %No Correction

[nr,nc]=size(spec);

for i =1:nr,
   cyc=spec(i,1);   %cycles 
   siga=spec(i,3);  %stress amplitude
   sigm=spec(i,2);  %mean stress
   if ES == 0,
      sige(i)=siga/(1-(sigm/Sut));
   else
       if ES == 1,
           sige(i)=siga/(1-(sigm/Sut)^2);
       else
           sige(i)=siga;
       end
   end
end

speceqv=[spec(:,1) sige'];
