function [STEP5]=step(x,xi,xf,yi,yf,deg)

% [STEP5]=step(x,xi,xf,yi,yf,deg)
%
% dato un vettore equispaziato x di riferimento, un valore iniziale e finale del gradino (yi yf) ed un valore 
% di inizio e fine x dello stesso (xi xf) la funzione crea uno step tra i valori xi e xf (xf>xi)
% deg  il grado di pendenza che deve essere >4

dx=mean(diff(x));

nxi=round(xi/dx);
nxf=round(xf/dx);

DELTAy=yf-yi;
DELTAx=x(nxf)-x(nxi);
DELTA=(x-x(nxi))/DELTAx;

for i=1:nxi-1,
    STEP5(i)=yi;
    STEP(i)=yi;
end
for i=nxi:nxf,
    STEP5(i)=yi+DELTAy*DELTA(i)^3*(10-15*DELTA(i)+6*DELTA(i)^2);
    STEP(i)=yi+DELTAy*DELTA(i)^2*(3-2*DELTA(i));
end
for i=nxf+1:length(x),
    STEP5(i)=yf;
    STEP(i)=yf;
end
