function EQVM=eqvm(psd_tens,freq)
%
% EQVM = eqvm(psd_tens,freq)
% La funzione richiede in ingresso il tensore psd di tensione di 
% dimensione 3*3*length(freq) e il vettore delle frequenze e 
% fornisce in uscita la psd di tensione equivalente di von Mises.
%

Q=[ 1  -1/2    0 ;
  -1/2   1     0 ;
    0    0     3];
    
          
for w=1:max(size(freq)),
       EQVM(w,1)=trace(Q*squeeze(psd_tens(:,:,w)));
end
EQVM=abs(EQVM);