close all
clear all

MEDIA=10;
DEV=2.5;
NCAMP=10000;

x=MEDIA+randn(NCAMP,1)*DEV;
[fx cx]=hist(x,100);
Nx=sum(fx);
deltax=mean(diff(cx));
xpdf=fx/(deltax*Nx);

xNpdf=normpdf(cx,MEDIA,DEV);

figure
plot(cx,xpdf)
hold on
plot(cx,xNpdf,'r')
grid on

valoremedioatteso=sum(xpdf.*cx*deltax);
varianzaattesa=sum(xpdf.*((cx-valoremedioatteso).^2)*deltax);
valoremedio=mean(x);
varianza=(std(x))^2;
[valoremedio valoremedioatteso]
[varianza varianzaattesa]
momento1=sum(xpdf.*(cx.^1)*deltax);
momento2=sum(xpdf.*(cx.^2)*deltax);
momento3=sum(xpdf.*(cx.^3)*deltax);
momentocentrale1=sum(xpdf.*((cx-momento1).^1)*deltax);
momentocentrale2=sum(xpdf.*((cx-momento1).^2)*deltax);
momentocentrale3=sum(xpdf.*((cx-momento1).^3)*deltax);

[momento1 momento2 momento3]
[momentocentrale1 momentocentrale2 momentocentrale3]

% Estrazione della funzione di auto-correlazione
[xcor,xlags] = xcorr(x,'none');

figure
plot(xlags,xcor/NCAMP,'r')
hold on
grid on
ylabel('correlation function')
xlabel('units')

xcorr_rms=xcor(NCAMP)/NCAMP

'rms = autocorrelazione valutata in 0'
'rms = momento2 e valormedio = momento1'
'varianza = momento2 - momento1^2'

