function [tp,rfc,spettro,res] = conteggio(signal,fil,num,RES,P3D,plotid)

%   num Numero di divisioni del range di tensione:
%   fil Se si vogliono eliminare i cicli di tensione con modulo inferiore 
%       ad un valore stabilito dall'utente,Inserire il modulo minimo del 
%       ciclo da considerare, altrimenti mettere 0(zero) 
%   RES Se non si vogliono considerare i residui settare a 0 la variabile,
%       se si vogliono considerare i residui (up crossing method) settarla
%       ad 1.
%   P3D Se non si vogliono plottare le matrici in 3D settare la variabile
%       pari ad 1 se invece si preferisce la modalit 2D settral pari a 0


tp=dat2tp(signal,fil);
if max(size(tp))==0
   rfc0=[0 0];
   param=[0,1,num];
else
   [rfc0res,rfc0nores,res]=tp2rfc(tp,'CS');
   [rfc1res,rfc1nores,res]=tp2arfc(tp,'CS');
   param=[min(tp(:,2)),max(tp(:,2)),num];
end

if RES==0
    rfc0=rfc0nores;
    rfc1=rfc1nores;
else
    rfc0=rfc0res;
    rfc1=rfc1res;
end

a=param(1);
b=param(2);
scala=(a:(b-a)/(num-1):b);
scala=scala';
clear mat
cont=0;
clear spettro


if max(size(tp))==0
   mat=zeros(num,num);
   spettro=[1 0 0];
   rfc=spettro;
else
   mat=cc2cmat(param,rfc0);
   mat1=cc2cmat(param,rfc1);
   [x,y]=size(rfc0);
   rfc=ones(x,3);
   for i=1:x
      rfc(i,2)=(rfc0(i,1)+rfc0(i,2))/2;
      rfc(i,3)=(rfc0(i,2)-rfc0(i,1))/2;
   end

[Frm,paramM,paramR,paramA] = cmat2rmcmat(mat,param);
aM=paramM(1);
bM=paramM(2);
numM=paramM(3);
scalaM=(aM:(bM-aM)/(numM-1):bM);
scalaM=scalaM';
aR=paramR(1);
bR=paramR(2);
numR=paramR(3);
scalaR=(aR:(bR-aR)/(numR-1):bR);
scalaR=scalaR';
  
   for i=1:num
       for j=1:num
          if mat(i,j)~=0
              cont=cont+1;
              spettro(cont,1)=mat(i,j);
              spettro(cont,2)=(scala(i)+scala(j))/2;
              spettro(cont,3)=(scala(j)-scala(i))/2;
          end
      end
   end

end

if plotid==1
     if P3D==0
        figure
        cmatplot(scala,scala,mat,3)
        xlabel('min')
        ylabel('max')

        figure
        cmatplot([a:(b-a)/(num-1):b],[a:(b-a)/(num-1):b],mat1,13)  
        xlabel('to')
        ylabel('from')

        figure
        cmatplot(scalaR, scalaM,Frm,3)  
        xlabel('range')
        ylabel('mean')

        else
        figure
        matrix_plot(Frm,[min(scalaR),max(scalaR);min(scalaM),max(scalaM)],0,num,0)

        figure
        matrix_plot(mat,[min(scala),max(scala);min(scala),max(scala)],0,num,0)

        figure
        matrix_plot(mat1,[a,b;a,b],0,num)
    end
else
end

