function [A]=SCoeffProp(Sut,Sy,Sf,sigm,siga)


% Goodman
nGO=(siga/Sf+sigm/Sut)^-1;

% Gerber
n1=solve('siga*x/Sf+x^2*(sigm/Sut)^2=1');
n2=subs(n1);
nGE=n2(1);

% Sodeberg
nSO=(siga/Sf+sigm/Sy)^-1;

% ASME
nASME=(sqrt((siga/Sf)^2+(sigm/Sy)^2)^-1);

% Bagci
n3=solve('siga*x/Sf+x^4*(sigm/Sy)^4=1');
n4=subs(n3);
nBA=n4(3);

A=[nGO,nGE,nSO,nASME,nBA]';