function EQVMt=eqvmt(tensor,time)
%
% EQVM = eqvmt(tens,time)
% La funzione richiede in ingresso il tensore di tensione di 
% dimensioni length(time)*3 e il vettore del tempo e 
% fornisce in uscita la time history di tensione equivalente di von Mises.
%

Q=[ 1  -1/2    0 ;
  -1/2   1     0 ;
    0    0     3];
    
          
for w=1:length(time),
    s=tensor(w,:);
    EQVMt(w)=sqrt(trace(Q*(s'*s)));
end
