% Creates a stress matrix and calls for Dang Van evaluation 
clear all
% stress - [s11 s22 s33 s12 s13 s23; time 1
%           s11 s22 s33 s12 s13 s23; time 2
%              etc                 ]

i_vector=[0:0.01:4.*pi];
stress=zeros(size(i_vector,2),6);
Sx=195.6
Sy=0
Txy=73.4
Sx_res=100
phi=0
j=0;
for i = i_vector
    j=j+1;
    stress(j,:)=[Sx.*sin(i)+Sx_res Sy.*sin(i) 0 Txy.*sin(i+phi) 0 0];
end

cDV=1/3;

SeqDV=DangVan(stress,cDV);

